linux-fsl-imx51: 2.6.31-612.31 -proposed tracker

Bug #899736 reported by Brad Figg on 2011-12-03
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Unassigned
Prepare-package
Undecided
ubuntu-armel-kernel
Prepare-package-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
Tobin Davis
Security-signoff
Undecided
John Johansen
Upload-to-ppa-dnu
Undecided
Herton R. Krzesinski
Verification-testing
Undecided
ubuntu-armel-kernel
linux-fsl-imx51 (Ubuntu)
Medium
Unassigned
Lucid
Undecided
Unassigned

Bug Description

This bug is for tracking the <version to be filled> upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Saturday, 03. December 2011 21:46 UTC
kernel-stable-Certification-testing-end:Saturday, 03. December 2011 22:02 UTC
kernel-stable-Prepare-package-end:Monday, 05. December 2011 20:16 UTC
kernel-stable-Promote-to-proposed-start:Monday, 05. December 2011 20:16 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 08. December 2011 05:24 UTC
kernel-stable-Verification-testing-start:Thursday, 08. December 2011 05:24 UTC
kernel-stable-Security-signoff-start:Thursday, 08. December 2011 12:31 UTC
kernel-stable-Verification-testing-end:Thursday, 08. December 2011 12:31 UTC
kernel-stable-Regression-testing-start:Thursday, 08. December 2011 12:31 UTC
kernel-stable-Security-signoff-end:Thursday, 08. December 2011 13:46 UTC
kernel-stable-Promote-to-updates-start:Friday, 09. December 2011 21:17 UTC
kernel-stable-Regression-testing-end:Friday, 09. December 2011 21:17 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 12. December 2011 12:18 UTC
kernel-stable-Promote-to-updates-end:Monday, 12. December 2011 12:18 UTC

CVE References

This tracking bug was opened to be worked from linux-2.6.32-37.81 update (bug 899339)

tags: added: kernel-release-tracking-bug
tags: added: armel
Changed in linux-fsl-imx51 (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2011-12-03
description: updated
Paolo Pisati (p-pisati) wrote :

git://kernel.ubuntu.com/ppisati/ubuntu-lucid.git fsl-imx51

summary: - linux-fsl-imx51: <version to be filled> -proposed tracker
+ linux-fsl-imx51: 2.6.31-612.31 -proposed tracker

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Martin Pitt (pitti) on 2011-12-08
Changed in linux-fsl-imx51 (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2011-12-08
description: updated
Herton R. Krzesinski (herton) wrote :

Only CVE fixes, verification done.

Brad Figg (brad-figg) on 2011-12-08
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2011-12-08
description: updated
Tobin Davis (gruemaster) on 2011-12-09
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2011-12-09
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-fsl-imx51 - 2.6.31-612.31

---------------
linux-fsl-imx51 (2.6.31-612.31) lucid-proposed; urgency=low

  * Release Tracking Bug
    - LP: #899736

  [ Upstream Kernel Changes ]

  * xfs: Fix possible memory corruption in xfs_readlink, CVE-2011-4077
    - LP: #887298
    - CVE-2011-4077
  * jbd/jbd2: validate sb->s_first in journal_get_superblock()
    - LP: #893148
    - CVE-2011-4132
  * hfs: add sanity check for file name length, CVE-2011-4330
    - LP: #894374
    - CVE-2011-4330
 -- Paolo Pisati <email address hidden> Mon, 05 Dec 2011 09:32:22 +0100

Changed in linux-fsl-imx51 (Ubuntu Lucid):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers